%define url_ver %(echo %{version} | cut -d. -f1,2)

%define api 1.0
%define major 0
%define libname %mklibname dazzle %{api} %{major}
%define girname %mklibname dazzle-gir %{api}
%define devname %mklibname dazzle -d

Summary:	Experimental new features for GTK+ and GLib
Name:		libdazzle
Version:	3.28.5
Release:	1
License:	GPLv3+
Group:		System/Libraries
Url:		https://git.gnome.org/browse/libdazzle/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	vala
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)

%description
libdazzle is a collection of fancy features for GLib and Gtk+ that aren't quite
ready or generic enough for use inside those libraries. This is often a proving
ground for new widget prototypes. Applications such as Builder tend to drive
development of this project.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Experimental new features for GTK+ and GLib
Group:		System/Libraries

%description -n %{libname}
libdazzle is a collection of fancy features for GLib and Gtk+ that aren't quite
ready or generic enough for use inside those libraries. This is often a proving
ground for new widget prototypes. Applications such as Builder tend to drive
development of this project.

%files -n %{libname}
%doc AUTHORS COPYING NEWS README.md
%{_libdir}/libdazzle-%{api}.so.%{major}

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for Dazzle
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}

%description -n %{girname}
GObject Introspection interface description for Dazzle.

%files -n %{girname}
%{_libdir}/girepository-1.0/Dazzle-%{api}.typelib

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{girname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files -n %{devname}
%doc CONTRIBUTING.md examples
%{_bindir}/dazzle-list-counters
%{_datadir}/gir-1.0/Dazzle-%{api}.gir
%{_datadir}/vala/vapi/libdazzle-%{api}.*
%{_includedir}/libdazzle-%{api}/
%{_libdir}/libdazzle-%{api}.so
%{_libdir}/pkgconfig/libdazzle-%{api}.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install


%changelog

* Fri Aug 24 2018 Rosa <rosa@abf.rosalinux.ru> 3.28.5-1
- (797ef76) Automatic import for version 3.28.5-1


